Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.item
Class DNode

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xquery.expr.Expr
              org.basex.query.xquery.item.Item
                  org.basex.query.xquery.item.Nod
                      org.basex.query.xquery.item.DNode

    public final class DNode

extends Nod

Disk-based Node item.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.xquery.expr.Expr
`Expr.Return, Expr.Using`

Field Summary
`Data` | `data` Data reference.
`int` | `pre` Pre value.
`Nod` | `root` Root node (constructor).

Fields inherited from class org.basex.query.xquery.item.Item
`type`

Constructor Summary
`DNode(Data d, int p)` Constructor.
`DNode(Data d, int p, Nod r, Type t)` Constructor.

Method Summary
`NodeIter` | `attr()` Returns an attribute axis iterator.
`byte[]` | `base()` Returns the database name.
`NodeMore` | `child()` Returns a child axis iterator.
`DNode` | `copy()` Creates a new copy (clone) of the node.
`NodeIter` | `desc()` Returns a descendant axis iterator.
`NodeIter` | `descOrSelf()` Returns a descendant-or-self axis iterator.
`int` | `diff(Nod nod)` Compares two nodes for their unique order.
`DNode` | `finish()` Returns a final node representation.
`boolean` | `is(Nod nod)` Compares two nodes for equality.
`byte[]` | `nname()` Returns the node name.
`Atts` | `ns()` Returns a namespace array.
`Nod` | `parent()` Returns the parent node.
`void` | `parent(Nod p)` Sets the parent node.
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`QNm` | `qname()` Returns the node name.
`QNm` | `qname(QNm name)` Returns a temporary node name.
`void` | `serialize(Serializer ser)` Serializes the item.
`void` | `set(int p, int k)` Sets the node type.
`byte[]` | `str()` Returns an atomized string.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xquery.item.Nod
`anc, ancOrSelf, bool, dbl, dec, diff, eq, flt, foll, follSibl, itr, java, par, prec, precSibl, self`

Methods inherited from class org.basex.query.xquery.item.Item
`castErr, comp, d, hash, i, iter, iter, n, name, node, returned, s, score, score, size, u, uses`

Methods inherited from class org.basex.query.xquery.expr.Expr
`e`

Methods inherited from class org.basex.query.ExprInfo
`color, info`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### root

    public Nod root

  Root node (constructor).

### data

    public Data data

  Data reference.

### pre

    public int pre

  Pre value.

Constructor Detail

### DNode

    public DNode(Data d,
                 int p)

  Constructor.

  Parameters:
    `d` - data reference
    `p` - pre value

### DNode

    public DNode(Data d,
                 int p,
                 Nod r,
                 Type t)

  Constructor.

  Parameters:
    `d` - data reference
    `p` - pre value
    `r` - parent reference
    `t` - node type

Method Detail

### set

    public void set(int p,
                    int k)

  Sets the node type.

  Parameters:
    `p` - pre value
    `k` - node kind

### str

    public byte[] str()

  Description copied from class: `Item`
  Returns an atomized string.

  Overrides:
    `str` in class `Item`
  Returns:
    string representation

### serialize

    public void serialize(Serializer ser)
                   throws java.io.IOException

  Description copied from class: `Item`
  Serializes the item.

  Overrides:
    `serialize` in class `Item`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Item`

### nname

    public byte[] nname()

  Description copied from class: `Nod`
  Returns the node name.

  Overrides:
    `nname` in class `Nod`
  Returns:
    name

### qname

    public QNm qname()

  Description copied from class: `Nod`
  Returns the node name.

  Overrides:
    `qname` in class `Nod`
  Returns:
    name

### qname

    public QNm qname(QNm name)

  Description copied from class: `Nod`
  Returns a temporary node name.

  Overrides:
    `qname` in class `Nod`
  Parameters:
    `name` - temporary qname
  Returns:
    name

### ns

    public Atts ns()

  Description copied from class: `Nod`
  Returns a namespace array.

  Overrides:
    `ns` in class `Nod`
  Returns:
    namespace array

### base

    public byte[] base()

  Description copied from class: `Nod`
  Returns the database name.

  Overrides:
    `base` in class `Nod`
  Returns:
    database name

### is

    public boolean is(Nod nod)

  Description copied from class: `Nod`
  Compares two nodes for equality.

  Overrides:
    `is` in class `Nod`
  Parameters:
    `nod` - node to be compared
  Returns:
    result of check

### diff

    public int diff(Nod nod)

  Description copied from class: `Nod`
  Compares two nodes for their unique order.

  Overrides:
    `diff` in class `Nod`
  Parameters:
    `nod` - node to be compared
  Returns:
    result of check

### copy

    public DNode copy()

  Description copied from class: `Nod`
  Creates a new copy (clone) of the node.

  Specified by:
    `copy` in class `Nod`
  Returns:
    new copy

### finish

    public DNode finish()

  Description copied from class: `Nod`
  Returns a final node representation.

  Overrides:
    `finish` in class `Nod`
  Returns:
    node

### parent

    public Nod parent()

  Description copied from class: `Nod`
  Returns the parent node.

  Overrides:
    `parent` in class `Nod`
  Returns:
    parent node

### parent

    public void parent(Nod p)

  Description copied from class: `Nod`
  Sets the parent node.

  Overrides:
    `parent` in class `Nod`
  Parameters:
    `p` - parent node

### attr

    public NodeIter attr()

  Description copied from class: `Nod`
  Returns an attribute axis iterator.

  Specified by:
    `attr` in class `Nod`
  Returns:
    iterator

### child

    public NodeMore child()

  Description copied from class: `Nod`
  Returns a child axis iterator.

  Specified by:
    `child` in class `Nod`
  Returns:
    iterator

### desc

    public NodeIter desc()

  Description copied from class: `Nod`
  Returns a descendant axis iterator.

  Specified by:
    `desc` in class `Nod`
  Returns:
    iterator

### descOrSelf

    public NodeIter descOrSelf()

  Description copied from class: `Nod`
  Returns a descendant-or-self axis iterator.

  Specified by:
    `descOrSelf` in class `Nod`
  Returns:
    iterator

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Overrides:
    `plan` in class `Item`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD